Package net.shibboleth.shared.component

# Interface IdentifiedComponent

All Superinterfaces:
  `Component`

All Known Subinterfaces:
  `AccessControlService`, `IdentifiableComponent`

All Known Implementing Classes:
  `AbstractIdentifiableInitializableComponent`, `AbstractIdentifiedInitializableComponent`, `AbstractReloadableService`, `AbstractServiceableComponent`, `ApplicationContextServiceableComponent`, `BasicAccessControlService`, `ConditionalResource`, `DelegatingAccessControlService`, `FileBackedHTTPResource`, `HTTPResource`, `IPRangeAccessControl`, `LogbackLoggingService`, `MockReloadableService`, `ReloadableSpringService`, `ReloadingAccessControlService`, `ScriptedRunnable`, `ServiceableAccessControlService`, `SpringServiceableComponent`

public interface IdentifiedComponent extends Component
A `Component` which has an identifier.

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Get the ID of this component.

## Method Details

### getId

@Nullable String getId()
Get the ID of this component.

Returns:
  ID of this component or null